## kanjidraw 0.2.3

=== Makefile ===
SHELL   := /bin/bash
PYTHON  ?= python3
VERBOSE ?= --verbose

export PYTHONWARNINGS := default

.PHONY: all test clean cleanup install

all:

test:
	$(PYTHON) -m kanjidraw.gui $(VERBOSE) --doctest
	$(PYTHON) -m kanjidraw.lib $(VERBOSE) --doctest

clean: cleanup
	rm -fr kanjidraw.egg-info/

cleanup:
	find -name '*~' -delete -print
	rm -fr kanjidraw/__pycache__/
	rm -fr build/ dist/
	rm -fr .coverage htmlcov/

install:
	$(PYTHON) -mpip install -e .

.PHONY: _package _publish

_package:
	$(PYTHON) setup.py sdist bdist_wheel
	twine check dist/*

_publish: cleanup _package
	read -r -p "Are you sure? "; \
	[[ "$$REPLY" == [Yy]* ]] && twine upload dist/*

=== debian/changelog ===
kanjidraw (0.2.3-2) unstable; urgency=medium

  * ACK NMU -- Thanks!
  * d/rules:
    - drop --with python3 (in favour of dh-sequence-python3).
  * d/control:
    - add Build-Depends: dh-sequence-python3.
    - bump Standards-Version to 4.6.2 (no changes required).
    - remove unneeded ${shlibs:Depends}.
  * d/copyright:
    - bump year to 2023.
    - cleanup (minor).
    - add AGPLv3 text.
  * d/tests/{control,match}: add autopkgtest for the library.

 -- FC Stegerman <flx@obfusk.net>  Sat, 18 Feb 2023 14:56:56 +0100

kanjidraw (0.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Nov 2021 12:59:37 -0400

kanjidraw (0.2.3-1) unstable; urgency=medium

  * Initial release. Closes: #988516

 -- FC Stegerman <flx@obfusk.net>  Thu, 20 May 2021 18:52:24 +0200

=== debian/control ===
Source: kanjidraw
Section: python
Priority: optional
Maintainer: FC Stegerman <flx@obfusk.net>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-tk,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/obfusk/kanjidraw.git
Vcs-Browser: https://salsa.debian.org/obfusk/kanjidraw
Homepage: https://github.com/obfusk/kanjidraw
Rules-Requires-Root: no

Package: kanjidraw
Architecture: all
Depends: python3-kanjidraw (=${binary:Version}),
         python3-tk,
         ${misc:Depends},
         ${python3:Depends},
Description: handwritten kanji recognition - gui
 kanjidraw is a simple Python library + GUI for matching (the strokes of a)
 handwritten kanji against its database.
 .
 You can use the GUI to draw and subsequently select a kanji from the list of
 probable matches, which will then be copied to the clipboard.
 .
 The database is based on KanjiVG and the algorithms are based on the
 Kanji draw Android app.
 .
 This package provides the GUI.

Package: python3-kanjidraw
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: handwritten kanji recognition - library
 kanjidraw is a simple Python library + GUI for matching (the strokes of a)
 handwritten kanji against its database.
 .
 You can use the GUI to draw and subsequently select a kanji from the list of
 probable matches, which will then be copied to the clipboard.
 .
 The database is based on KanjiVG and the algorithms are based on the
 Kanji draw Android app.
 .
 This package provides the Python library.

=== debian/rules ===
#!/usr/bin/make -f
execute_after_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_test:
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	$(MAKE) test
else
	$(MAKE) test VERBOSE=
endif

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: smoke
Depends: kanjidraw
Restrictions: allow-stderr, superficial

Tests: match
Depends: python3-kanjidraw
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://github.com/obfusk/kanjidraw.git refs/tags/v([\d\.]+)
